org.appng.cli.commands.site

## Class CheckSiteRunning

- java.lang.Object
- - org.appng.cli.commands.site.CheckSiteRunning

- All Implemented Interfaces:
    ExecutableCliCommand

      public class CheckSiteRunning
      extends Object
      implements ExecutableCliCommand

  Checks whether a `Site` is running.

       Usage: appng check-site [options]
         Options:
         * -n
            The site name.

  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `responseCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckSiteRunning()`
    `CheckSiteRunning(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(CliEnvironment cle)` Executes the command.
    `int` | `getResponseCode()`
    `String` | `getVersion()`
    `boolean` | `isRunning()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### responseCode

          protected int responseCode

  - ### Constructor Detail

    - #### CheckSiteRunning

          public CheckSiteRunning()

    - #### CheckSiteRunning

          public CheckSiteRunning(String name)

  - ### Method Detail

    - #### execute

          public void execute(CliEnvironment cle)
                       throws BusinessException

      Description copied from interface: `ExecutableCliCommand`
      Executes the command.
      Specified by:
        `execute` in interface `ExecutableCliCommand`
      Parameters:
        `cle` - the `CliEnvironment` to use
      Throws:
        `BusinessException` - if on error occurs while executing the command

    - #### getResponseCode

          public int getResponseCode()

    - #### getVersion

          public String getVersion()

    - #### isRunning

          public boolean isRunning()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.